Direct CAPture (DCAP)
=====================

This is an implementation of the direct capture model of [Rolfs (1973)](res/rolfs1973.pdf)
for calculating capture cross sections in light nuclei. The various formulas and their 
implementation are summarized in [this note](res/dcap_note.pdf).

Structure
--------------------------
The directory structure is

+ [include](include/)/[source](source/) contain the library code
+ [test](test/) contains the unit tests of the library
+ [main.cpp](main.cpp) contains a usage example  

Installation
--------------------------
DCAP depends on the following packages
 + CMake
 + GSL
 + readLine
 + Armadillo
 + ROOT
 + AUSAlib ([Install guide][AUSAguide])
 + log-ft ([Repo][log-ft])
 + ORM ([Repo][ORM])
 + sim3a ([Repo][sim3a])
 
Except for the last four packages, the remaining libraries should be available in your package manager.

When you have installed these package, execute:
```bash
cmake ./
make -jN
```
This will compile the library and executable

[AUSAguide]: https://git.kern.phys.au.dk/ausa/ausalib/wikis/Getting-AUSAlib "AUSAlib install guide"
[log-ft]: https://git.kern.phys.au.dk/Munken/log-ft "log-ft git repo"
[ORM]: https://git.kern.phys.au.dk/Munken/ORM "ORM git repo"
[sim3a]: https://git.kern.phys.au.dk/ausa/sim3a "sim3a git repo"