/*
 * DCAP - Direct CAPture
 * Copyright (C) 2020 Oliver Kirsebom
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include <ausa/constants/Mass.h>
#include <ORM/ParticleChannel.h>
#include <DCAP/E1Operator.h>

using namespace AUSA::Constants;
using namespace ORM;
using namespace DCAP;


E1Operator::E1Operator(double gammaEnergy) 
: Eg(gammaEnergy) {}

double E1Operator::operator() (double r) {
    double rho = Eg / HBAR_C * r; //k*r 
    return ((pow(rho,2.) - 2) * sin(rho) + 2. * rho * cos(rho)) * 3 * r / pow(rho, 3.);
}
